# Uses of Class
java.lang.reflect.Executable

Packages that use Executable
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of Executable in java.lang.reflect

Subclasses of Executable in java.lang.reflect
Modifier and Type
Class
Description
`final class`
`Constructor<T>`
`Constructor` provides information about, and access to, a single constructor for a class.
`final class`
`Method`
A `Method` provides information about, and access to, a single method on a class or interface.
Methods in java.lang.reflect that return Executable
Modifier and Type
Method
Description
`Executable`
Parameter.`getDeclaringExecutable()`
Returns the `Executable` declaring this parameter.